package com.mortals.xhx.module.matter.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.matter.model.MatterDatumFileEntity;
import com.mortals.xhx.module.matter.service.MatterDatumFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
 *
 * 材料附件
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("matter/datum/file")
public class MatterDatumFileController extends BasePhpCRUDJsonMappingController<MatterDatumFileService,MatterDatumFileForm,MatterDatumFileEntity,Long> {

    @Autowired
    private ParamService paramService;

    public MatterDatumFileController(){
        super.setFormClass(MatterDatumFileForm.class);
        super.setModuleDesc( "材料附件");
    }

    @Override
    protected void init( Map<String, Object> model, Context context) {
        this.addDict(model, "filetype", paramService.getParamBySecondOrganize("MatterDatumFile","filetype"));
        this.addDict(model, "source", paramService.getParamBySecondOrganize("MatterDatumFile","source"));
        super.init( model, context);
    }

}